com.amazon.redshift.core

## Class RedshiftJDBCSettings

- java.lang.Object
- - com.amazon.redshift.core.RedshiftJDBCSettings

    public class RedshiftJDBCSettings
    extends Object

### Field Summary

Fields
`String` `m_acctId` The acct id of the Redshift serverless.
`AuthMech` `m_authMech` The Authentication Mechanism to use.
`Boolean` `m_autocreate` Indicates whether the user should be created if not exists.
`String` `m_awsRegion` The AWS region where the cluster specified by m_clusterIdentifier is located.
`String` `m_clusterIdentifier` The name of the Redshift Cluster to use.
`String` `m_credentialsProvider` The fully qualified class path to a class that implements AWSCredentialsProvider.
`List<String>` `m_dbGroups` A list of database group names to join.
`String` `m_dbGroupsFilter` Group filter parameter for SAML provider
`String` `m_dbUser` The database user name for IAM authentication.
`String` `m_endpoint` The AWS endpoint url for Redshift.
`String` `m_externalId` A external id string for AssumeRole request.
`Boolean` `m_forceLowercase` Forces the database group names to be lower case.
`Boolean` `m_groupFederation` Use the same IDP Groups in the Redshift.
`String` `m_host` The host to connect to.
`String` `m_iamAccessKeyID` The IAM access key id for the IAM user or role.
`boolean` `m_iamAuth` Indicates whether use IAM authentication.
`boolean` `m_iamDisableCache` Disable IAM credentials cache.
`int` `m_iamDuration` The time in seconds until the temporary IAM credentials expire.
`String` `m_iamSecretKey` The IAM secret key for the IAM user or role.
`String` `m_iamSessionToken` The IAM security token for an IAM user or role.
`String` `m_idpToken` Generated SAML token or user provided JWT token.
`boolean` `m_isCname` Is there a custom cluster name?
`boolean` `m_isServerless` is it serverless?
`String` `m_password` The password.
`Map<String,String>` `m_pluginArgs` The plugin arguments.
`int` `m_port` The port to connect to.
`String` `m_preferredRole` Preferred role provided by user.
`String` `m_profile` The AWS profile name for credentials.
`String` `m_roleArn` Role provided by user.
`String` `m_roleSessionName` Role session name provided by user.
`String` `m_Schema` The setting for the default used schema.
`String` `m_stsEndpoint` The AWS endpoint url for STS.
`String` `m_username` The user name.
`String` `m_workGroup` The work group of the Redshift serverless.

### Constructor Summary

Constructors
Constructor and Description
`RedshiftJDBCSettings()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### m_host

    public String m_host

The host to connect to.

#### m_port

    public int m_port

The port to connect to.

#### m_authMech

    public AuthMech m_authMech

The Authentication Mechanism to use.

#### m_username

    public String m_username

The user name.

#### m_password

    public String m_password

The password.

#### m_Schema

    public String m_Schema

The setting for the default used schema. This is a DBNAME.

#### m_iamAuth

    public boolean m_iamAuth

Indicates whether use IAM authentication.

#### m_iamAccessKeyID

    public String m_iamAccessKeyID

The IAM access key id for the IAM user or role.

#### m_iamSecretKey

    public String m_iamSecretKey

The IAM secret key for the IAM user or role.

#### m_iamSessionToken

    public String m_iamSessionToken

The IAM security token for an IAM user or role.

#### m_profile

    public String m_profile

The AWS profile name for credentials.

#### m_externalId

    public String m_externalId

A external id string for AssumeRole request.

#### m_clusterIdentifier

    public String m_clusterIdentifier

The name of the Redshift Cluster to use.

#### m_iamDuration

    public int m_iamDuration

The time in seconds until the temporary IAM credentials expire. Range: 900 - 3600

#### m_autocreate

    public Boolean m_autocreate

Indicates whether the user should be created if not exists. Default is false.

#### m_dbUser

    public String m_dbUser

The database user name for IAM authentication.

#### m_dbGroups

    public List<String> m_dbGroups

A list of database group names to join.

#### m_forceLowercase

    public Boolean m_forceLowercase

Forces the database group names to be lower case.

#### m_endpoint

    public String m_endpoint

The AWS endpoint url for Redshift.

#### m_stsEndpoint

    public String m_stsEndpoint

The AWS endpoint url for STS.

#### m_awsRegion

    public String m_awsRegion

The AWS region where the cluster specified by m_clusterIdentifier is located.

#### m_credentialsProvider

    public String m_credentialsProvider

The fully qualified class path to a class that implements AWSCredentialsProvider.

#### m_pluginArgs

    public Map<String,String> m_pluginArgs

The plugin arguments.

#### m_iamDisableCache

    public boolean m_iamDisableCache

Disable IAM credentials cache.

#### m_groupFederation

    public Boolean m_groupFederation

Use the same IDP Groups in the Redshift. false means use v1 version of GetClusterCredentials true means use v2 version of GetClusterCredentialsV2

#### m_idpToken

    public String m_idpToken

Generated SAML token or user provided JWT token. Used in V2 API.

#### m_preferredRole

    public String m_preferredRole

Preferred role provided by user. Used in V2 API.

#### m_roleSessionName

    public String m_roleSessionName

Role session name provided by user. Used in V2 API.

#### m_dbGroupsFilter

    public String m_dbGroupsFilter

Group filter parameter for SAML provider

#### m_roleArn

    public String m_roleArn

Role provided by user. Used in V2 API.

#### m_isServerless

    public boolean m_isServerless

is it serverless?

#### m_acctId

    public String m_acctId

The acct id of the Redshift serverless.

#### m_workGroup

    public String m_workGroup

The work group of the Redshift serverless.

#### m_isCname

    public boolean m_isCname

Is there a custom cluster name?

### Constructor Detail

#### RedshiftJDBCSettings

    public RedshiftJDBCSettings()